Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# FFIInterrogateDatabase Class Reference

List of all members.

## Public Member Functions
def | __init__
def | addEnvironmentTypes
def | addGlobalFunctions
def | addGlobalValues
def | addManifestSymbols
def | addTypes
def | constructClassTypeDescriptor
def | constructConstructorSpecifications
def | constructConstTypeDescriptor
def | constructDescriptor
def | constructDestructorSpecification
def | constructDowncastFunctionSpecifications
def | constructEnumTypeDescriptor
def | constructFunctionArgumentTypes
def | constructFunctionTypeDescriptors
def | constructGlobal
def | constructGlobalFunction
def | constructManifest
def | constructMemberFunctionSpecifications
def | constructNestedTypeDescriptors
def | constructParentTypeDescriptors
def | constructPointerTypeDescriptor
def | constructPrimitiveTypeDescriptor
def | constructUpcastFunctionSpecifications
def | functionInCModule
def | generateCode
def | generateCodeLib
def | isDefinedType
def | squeezeGeneratedCode
def | typeInCModule
def | updateBindings
## Public Attributes
| environment
| typeIndexMap

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | etcPath = `[]`
| ) |  |

## Member Function Documentation

def addEnvironmentTypes | ( |  | self | ) |

def addGlobalFunctions | ( |  | self,
|  |  | CModuleName
| ) |  |

def addGlobalValues | ( |  | self,
|  |  | CModuleName
| ) |  |

def addManifestSymbols | ( |  | self | ) |

def addTypes | ( |  | self,
|  |  | CModuleName
| ) |  |

def constructClassTypeDescriptor | ( |  | self,
|  |  | typeIndex
| ) |  |

def constructConstructorSpecifications | ( |  | self,
|  |  | typeIndex
| ) |  |

def constructConstTypeDescriptor | ( |  | self,
|  |  | typeIndex
| ) |  |

def constructDescriptor | ( |  | self,
|  |  | typeIndex
| ) |  |

def constructDestructorSpecification | ( |  | self,
|  |  | typeIndex
| ) |  |

def constructDowncastFunctionSpecifications | ( |  | self,
|  |  | typeIndex
| ) |  |

    The strange thing about downcast functions is that they appear in the
    class they are being downcast TO, not downcast FROM. But they should be
    built into the class they are being downcast from. For instance, a method
    downcastToNode(ptrBoundedObject) will appear in Node's list of methods
    but should be compiled into BoundedObject's class
    UPDATE: These are no longer compiled into the from-class. That was
    preventing the libraries from being independent since the from class
    now had knowledge of the to class which is potentially in a library
    downstream. Now these functions are just global functions

def constructEnumTypeDescriptor | ( |  | self,
|  |  | typeIndex
| ) |  |

def constructFunctionArgumentTypes | ( |  | self,
|  |  | functionIndex
| ) |  |

def constructFunctionTypeDescriptors | ( |  | self,
|  |  | functionIndex
| ) |  |

def constructGlobal | ( |  | self,
|  |  | globalIndex,
|  |  | CModuleName
| ) |  |

def constructGlobalFunction | ( |  | self,
|  |  | globalIndex
| ) |  |

def constructManifest | ( |  | self,
|  |  | manifestIndex
| ) |  |

def constructMemberFunctionSpecifications | ( |  | self,
|  |  | typeIndex
| ) |  |

def constructNestedTypeDescriptors | ( |  | self,
|  |  | typeIndex
| ) |  |

def constructParentTypeDescriptors | ( |  | self,
|  |  | typeIndex
| ) |  |

def constructPointerTypeDescriptor | ( |  | self,
|  |  | typeIndex
| ) |  |

def constructPrimitiveTypeDescriptor | ( |  | self,
|  |  | typeIndex
| ) |  |

def constructUpcastFunctionSpecifications | ( |  | self,
|  |  | typeIndex
| ) |  |

def functionInCModule | ( |  | self,
|  |  | funcIndex,
|  |  | CModuleName
| ) |  |

def generateCode | ( |  | self,
|  |  | codeDir,
|  |  | extensionsDir
| ) |  |

def generateCodeLib | ( |  | self,
|  |  | codeDir,
|  |  | extensionsDir,
|  |  | CModuleName
| ) |  |

def isDefinedType | ( |  | self,
|  |  | typeIndex
| ) |  |

def squeezeGeneratedCode | ( |  | self,
|  |  | outputDir,
|  |  | deleteSource = `True`
| ) |  |

def typeInCModule | ( |  | self,
|  |  | typeIndex,
|  |  | CModuleName
| ) |  |

def updateBindings | ( |  | self,
|  |  | CModuleName
| ) |  |

## Member Data Documentation

environment

typeIndexMap

All Classes Namespaces Functions Variables Enumerations Enumerator Properties